Name: medit
Version: 0.9.4
Release: alt10

Summary: Multiplatform GTK+2 text editor
Summary (ru_RU.UTF-8): Кросплатформенный текстовый редактор для программистов

Group: Editors
License: GPLv2+
Url: http://mooedit.sourceforge.net/

Packager: Denis Koryavov <dkoryavov@altlinux.org>

Source0: http://prdownloads.sourceforge.net/mooedit/%name-%version.tar.bz2
Source1: medit16.png
Source2: medit32.png
Patch: medit-l10n-fix.patch

# Automatically added by buildreq on Wed Nov 19 2008
BuildRequires: imake intltool libSM-devel libXext-devel libgtk+2-devel libxml2-devel python-module-pygtk-devel python-modules-compiler xorg-cf-files

%add_python_req_skip moo
%add_findreq_skiplist */xdg-open
%add_findreq_skiplist */xdg-email

%description
Medit is a multiplatform GTK+2 text editor.
Features:
- Configurable syntax highlighting
- Configurable keyboard accelerators
- Powerfull search system and file manager
- Multiplatform - works both on unix and windows

%description -l ru_RU.UTF-8
Данный пакет содержит в себе текстовы редактор для программистов Medit.
Редактор написан на GTK2+ и является независимым от какого-либо окружения
рабочего стола.
Возможности:
- Настраиваемая подстветка синтаксиса
- Настраиваемые "горячие клавиши"
- Мощная поисковая система и файловый менеджер
- Кросплатформенность - редактор доступен как под Linux, так и Windows

%prep
%setup -q
%patch -p1

%build
%configure --with-system-pcre=NO --enable-moo-module=YES --enable-generated-files=NO --htmldir=%_docdir/%name-%version
%make

%install
%makeinstall_std

# icons
mkdir -p %buildroot%_niconsdir
mkdir -p %buildroot%_miconsdir
install -pD -m644 %SOURCE1 %buildroot%_miconsdir/%name.png
install -pD -m644 %SOURCE2 %buildroot%_niconsdir/%name.png

%find_lang moo
%find_lang moo-gsv
cat moo.lang moo-gsv.lang >> all.lang
rm -f %buildroot%_datadir/icons/hicolor/icon-theme.cache

%files -f all.lang
%doc COPYING README AUTHORS COPYING.GPL INSTALL LICENSE THANKS NEWS
%doc doc/help
%_bindir/%name
%_datadir/applications/%name.desktop
%_datadir/moo
%_datadir/pixmaps/%name.png
%_libdir/moo
%_miconsdir/%name.png
%_niconsdir/%name.png
%_liconsdir/%name.png
%_man1dir/%name.*
%_defaultdocdir/%name-%version/help

%changelog
* Thu Sep 24 2009 Denis Koryavov <dkoryavov@altlinux.org> 0.9.4-alt10
- Removed depency for kdelibs.

* Wed Sep 23 2009 Denis Koryavov <dkoryavov@altlinux.org> 0.9.4-alt9
- Russian translation updated.

* Tue Jun 30 2009 Denis Koryavov <dkoryavov@altlinux.org> 0.9.4-alt8
- Added medit-l10n-fix.patch to fix some localization problems

* Mon Jun 29 2009 Denis Koryavov <dkoryavov@altlinux.org> 0.9.4-alt7
- Russian translation updated

* Mon Jun 29 2009 Denis Koryavov <dkoryavov@altlinux.org> 0.9.4-alt6
- Russian translation updated

* Sun May 24 2009 Denis Koryavov <dkoryavov@altlinux.org> 0.9.4-alt5
- Fix build. Added russian translation

* Wed Nov 19 2008 Konstantin Baev <kipruss@altlinux.org> 0.9.4-alt4
- Fix repocop errors - remove update-desktop-database update_menus macroses
  update BuildRequires
  add icons 16x16 and 32x32

* Tue Oct 28 2008 Konstantin Baev <kipruss@altlinux.org> 0.9.4-alt3
- Fix repocop errors

* Mon Oct 27 2008 Konstantin Baev <kipruss@altlinux.org> 0.9.4-alt2
- Fixed bug ALT#17685. Remove dependencies on libexo, libgnome, kdebase-konqueror, kdebase-wm

* Tue Oct 21 2008 Konstantin Baev <kipruss@altlinux.org> 0.9.4-alt1
- Initial build for Sisyphus

* Sat Aug 30 2008 Funda Wang <fundawang@mandriva.org> 0.9.4-1mdv2009.0
+ Revision: 277537
- New version 0.9.4

* Tue Jul 29 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.9.2-3mdv2009.0
+ Revision: 252270
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Jan 21 2008 Funda Wang <fundawang@mandriva.org> 0.9.2-1mdv2008.1
+ Revision: 155675
- New version 0.9.2
- rediff patch0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Dec 01 2007 Funda Wang <fundawang@mandriva.org> 0.9.0-1mdv2008.1
+ Revision: 114221
- New version 0.9.0

* Sat Nov 17 2007 Jérôme Soyer <saispo@mandriva.org> 0.8.11-1mdv2008.1
+ Revision: 109208
- New release 0.8.11

* Tue Aug 07 2007 Funda Wang <fundawang@mandriva.org> 0.8.10-1mdv2008.0
+ Revision: 59667
- New version 0.8.10

* Wed Aug 01 2007 Funda Wang <fundawang@mandriva.org> 0.8.9-1mdv2008.0
+ Revision: 57568
- New version 0.8.9

* Thu Jul 12 2007 Funda Wang <fundawang@mandriva.org> 0.8.8-1mdv2008.0
+ Revision: 51500
- Fix file list
- New version

* Thu Jun 14 2007 Funda Wang <fundawang@mandriva.org> 0.8.6-1mdv2008.0
+ Revision: 39539
- SILent renew tarball
- New version
- New version
  add dirty patch that skips update-icon-cache and mime database when building

  + Jérôme Soyer <saispo@mandriva.org>
    - Import medit

* Tue May 09 2006 UTUMI Hirosi <utuhiro78@dummy.org> 0.6.98-1mdk
- new release

* Mon May 08 2006 UTUMI Hirosi <utuhiro78@dummy.org> 0.6.97-1mdk
- first spec for Mandriva
